### Method

# Gtk GraphicsOffload set_black_background

unstable since: 4.16

#### Declaration [src]

    void
    gtk_graphics_offload_set_black_background (
      GtkGraphicsOffload* self,
      gboolean value
    )

#### Description [src]

Sets whether this GtkGraphicsOffload widget will draw a black background.

A main use case for this is letterboxing where black bars are visible next to the content if the aspect ratio of the content does not match the dimensions of the monitor.

Using this property for letterboxing instead of CSS allows compositors to show content with maximum efficiency, using direct scanout to avoid extra copies in the compositor.

On Wayland, this is implemented using the single-pixel buffer protocol.

Available since: 4.16

Sets property | `Gtk.GraphicsOffload:black-background`

#### Parameters

`value`

  Type: `gboolean`

  Whether to draw a black background behind the content.